%global momorel 6

%define debug_package %{nil}

Summary: CamlGI - FastCGI and CGI library
Name: ocaml-camlgi
Version: 0.6
Release: %{momorel}m%{?dist}
License: LGPL
Group: System Environment/Libraries
URL: http://sourceforge.net/projects/ocaml-cgi/
Source0: http://dl.sourceforge.net/sourceforge/ocaml-cgi/CamlGI-0.6.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ocaml >= 3.10.2
BuildRequires: ocaml-camlp4-devel >= 3.10.2
BuildRequires: ocaml-findlib >= 1.2.1-2m
BuildRequires: rpm >= 4.4.2.3-4m
ExcludeArch: ppc64

%define _use_internal_dependency_generator 0
%define __find_requires /usr/lib/rpm/ocaml-find-requires.sh
%define __find_provides /usr/lib/rpm/ocaml-find-provides.sh

%description
CamlGI is a library to enable you to write CGI and FastCGI in OCaml. It is
written 100% in OCaml so should run on many platforms. The library supports
multiple simultaneous connections and request multiplexing while presenting an
easy to use interface.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n CamlGI-%{version}

%build
%__make PREFIX=%{_prefix}
%__make doc

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_libdir}/ocaml
%__make install OCAMLFIND_DESTDIR="-destdir %{buildroot}%{_libdir}/ocaml"
%__install -m 644 camlGI.a %{buildroot}%{_libdir}/ocaml/CamlGI
%__install -m 644 camlGI.cmx %{buildroot}%{_libdir}/ocaml/CamlGI

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README
%dir %{_libdir}/ocaml/CamlGI
%{_libdir}/ocaml/CamlGI/META
%{_libdir}/ocaml/CamlGI/camlGI.cma
%{_libdir}/ocaml/CamlGI/camlGI.cmi

%files devel
%defattr(-,root,root)
%doc html
%{_libdir}/ocaml/CamlGI/camlGI.a
%{_libdir}/ocaml/CamlGI/camlGI.cmx
%{_libdir}/ocaml/CamlGI/camlGI.cmxa
%{_libdir}/ocaml/CamlGI/camlGI.mli

%changelog
* Thu Jan 08 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6-6m)
- rebuild against rpm-4.4.2.3-4m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6-5m)
- rebuild against gcc43

* Sun Mar  2 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6-4m)
- rebuild against ocaml-3.10.2

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6-3m)
- %%NoSource -> NoSource
 
* Sat Jan 12 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6-2m)
- rebuild against ocaml-3.10.1-1m

* Tue Nov 27 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6-1m)
- initial packaging
